summaryrefslogtreecommitdiffstats
path: root/network/privoxy/privoxy.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'network/privoxy/privoxy.SlackBuild')
-rw-r--r--network/privoxy/privoxy.SlackBuild22
1 files changed, 9 insertions, 13 deletions
diff --git a/network/privoxy/privoxy.SlackBuild b/network/privoxy/privoxy.SlackBuild
index 034c231c49..4bf223cc26 100644
--- a/network/privoxy/privoxy.SlackBuild
+++ b/network/privoxy/privoxy.SlackBuild
@@ -27,16 +27,14 @@
# Modified by the SlackBuilds.org project
PRGNAM=privoxy
-VERSION=3.0.12
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.0.17}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -60,11 +58,13 @@ else
LIBDIRSUFFIX=""
fi
-## privoxy user & group *MUST* exist before package creation
-# See http://slackbuilds.org/uid_gid.txt for current recomendations.
+# privoxy user & group *MUST* exist before package creation
+# See http://slackbuilds.org/uid_gid.txt for current recommendations.
PRIVOXY_USER=${PRIVOXY_USER:-privoxy}
PRIVOXY_GROUP=${PRIVOXY_GROUP:-privoxy}
+set -e
+
if ! grep -q ^$PRIVOXY_GROUP: /etc/group 2>/dev/null ; then
echo " Error: PRIVOXY group ($PRIVOXY_GROUP) doesn't exist."
echo " Try creating one with: groupadd -g 206 $PRIVOXY_GROUP"
@@ -77,8 +77,6 @@ if ! grep -q ^$PRIVOXY_USER: /etc/passwd 2>/dev/null ; then
exit 1
fi
-set -e
-
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
@@ -106,12 +104,10 @@ CXXFLAGS="$SLKCFLAGS" \
--with-group=$PRIVOXY_GROUP \
--build=$ARCH-slackware-linux
-make || exit 1
-make install-strip || exit 1
+make
+make install-strip
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
mv $PKG/usr/doc/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild